Bug 1126717 - (CVE-2019-9037) VUL-1: CVE-2019-9037: matio: buffer over-read in the function Mat_VarPrint() in mat.c.
(CVE-2019-9037)
VUL-1: CVE-2019-9037: matio: buffer over-read in the function Mat_VarPrint() ...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 15.1
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Dmitry Roshchin
Security Team bot
https://smash.suse.de/issue/225283/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-25 07:07 UTC by Marcus Meissner
Modified: 2021-01-28 17:02 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2019-02-25 07:07:54 UTC
CVE-2019-9037

An issue was discovered in libmatio.a in matio (aka MAT File I/O Library)
1.5.13. There is a buffer over-read in the function Mat_VarPrint() in mat.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-9037
https://github.com/tbeu/matio/issues/103
https://github.com/TeamSeri0us/pocs/tree/master/matio
Comment 1 Tomáš Chvátal 2019-07-11 11:39:38 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 2 Marcus Meissner 2019-07-11 13:24:44 UTC
15.0 and 15.1 still have affected versions.
Comment 3 Wolfgang Frisch 2020-01-16 15:14:06 UTC
Leap 15.1 needs an update for this package.
Comment 4 Alexandros Toptsoglou 2021-01-28 17:02:28 UTC
Leap 15.1 is getting EOL. Leap 15.2 is not affected. Closing